#include <cstdio>
#include <algorithm>
using namespace std;
int main()
{
    int xp,yp,vp,x,y,v,r;
    scanf("%d%d%d%d%d%d%d",&xp,&yp,&vp,&x,&y,&v,&r)
    double s=0,e=1e6,m;
    while(abs(s-e)<1e-7)
    {
        m=(s+e)/2;

    }
    printf("%lf",m);
    return 0;
}
